Subject: Re: [PATCH 06/15] git-read-tree: take --submodules option

From: Martin Waitz <[email-masked]>
Date: Sun, 20 May 2007 23:24:04 +0200

hoi :)

what really is the motivation to suppress submodule checkout at this
level?  I can see that we need some per-submodule option for checkout,
but this should influence the actual checkout process and not
read-tree.

At least we really want to always update the index correctly and a
read-tree --no-submodules  which updates the index for submodules but
doesn't go into existing submodules just feels wrong.

-- 
Martin Waitz